FROM alpine:3.7
MAINTAINER Disassembler <disassembler@dasm.cz>

RUN \
 # Create OS user (which will be picked up later by apk add)
 addgroup -S -g 6379 redis \
 && adduser -S -u 6379 -h /var/lib/redis -s /bin/false -g redis -G redis redis \
 # Install Redis
 && apk --no-cache add redis

VOLUME ["/var/lib/redis"]
EXPOSE 6379

USER redis
CMD ["redis-server", "/etc/redis.conf"]
